Skip to content
Open app

Create a task

POST
/v1/tasks

Creates a task / reminder. Title is required. Requires scope tasks:write.

object
title
required
string
<= 200 characters
description
string
nullable
contactId
integer
nullable
dealId
integer
nullable
priority
string
default: medium
Allowed values: low medium high
dueAt
string format: date-time
nullable

Task created.

object
id
integer
title
string
description
string
nullable
contactId
integer
nullable
contactName
string
nullable
dealId
integer
nullable
dealTitle
string
nullable
priority
string
Allowed values: Low Medium High
status
string
Allowed values: Open InProgress Done
dueAt
string format: date-time
nullable
completedAt
string format: date-time
nullable
isOverdue
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
nullable

The request body or parameters failed validation.

Standard error envelope for all v1 error responses.

object
error

Machine-readable error code.

string
Allowed values: bad_request not_found conflict unauthorized forbidden rate_limited internal_error
message

Human-readable explanation of the error.

string
details

Optional structured context (field-level validation errors, etc.).

nullable
Example
{
"error": "bad_request",
"message": "at least one of name, username, phone is required"
}

Missing or invalid bearer token.

Standard error envelope for all v1 error responses.

object
error

Machine-readable error code.

string
Allowed values: bad_request not_found conflict unauthorized forbidden rate_limited internal_error
message

Human-readable explanation of the error.

string
details

Optional structured context (field-level validation errors, etc.).

nullable
Example
{
"error": "unauthorized",
"message": "Invalid bearer principal"
}

The API key does not have the required scope for this operation.

Standard error envelope for all v1 error responses.

object
error

Machine-readable error code.

string
Allowed values: bad_request not_found conflict unauthorized forbidden rate_limited internal_error
message

Human-readable explanation of the error.

string
details

Optional structured context (field-level validation errors, etc.).

nullable
Example
{
"error": "forbidden",
"message": "scope contacts:write is required"
}